Subject: Re: ifconfig MPC8313

From: Scott Wood <[email-masked]>
Date: Tue, 06 May 2008 16:19:25 -0500

Ronald Madrid wrote:
> Hello all,
> 
> I am working on porting linux 2.6.25 with a custom MPC8313 based board, 
> but am having a little bit of trouble with the ethernet, more 
> specifically ifconfig.
> 
> after typing "ifconfig eth0 10.196.31.84" I receive the following error
> ifconfig: SIOCSIFFLAGS: Cannot assign requested address
> 
> after entering a MAC address via "ifconfig eth0 hw ether"  I receive 
> this error.
> e0024520:01 not found
> eth0: Could not attach to PHY
> ifconfig: SIOCSIFFLAGS: No such device

It can't find the PHY for eth0.  What does your device tree look like, 
and what is the relevant PHY address?

-Scott